
Foreman - Feature #12738

Disallow a host from being deleted

12/08/2015 02:36 AM - salman butt

Status: New   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'd like to request a new feature -- the ability to 'lock' a host so that it cannot be deleted w/out 'unlocking' it, and then issuing a delete

command.

Would something like this be possible?

Related issues:

Related to Foreman - Feature #2890: Allow admin mode to be toggled. New 08/07/2013

Related to Foreman - Feature #13967: as a user, I would like to lock a host f... New 03/01/2016

Related to Foreman - Feature #19537: better accidental deletion protection fo... New 05/15/2017

History

#1 - 12/08/2015 02:55 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 12/08/2015 02:55 AM - Dominic Cleal

- Related to Feature #2890: Allow admin mode to be toggled. added

#3 - 03/01/2016 07:17 AM - Dominic Cleal

- Related to Feature #13967: as a user, I would like to lock a host from reprovisioning added

#4 - 05/15/2017 04:34 AM - Dominic Cleal

- Related to Feature #19537: better accidental deletion protection for host deletion added
